using CD67.FicheCollege.Entity;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace CD67.FicheCollege.MVC.Models
{

    public class ImportCollegeViewModel
    {
        public int Annee_Id;
        public string Annee_Lib = "";

        public List<int> colleges_ids = new List<int>();
        public List<string> colleges_libs = new List<string>();
        public List<string> colleges_rnes = new List<string>();
        public List<bool> selection = new List<bool>();

        public void set_liste(List<College> colleges)
        {
            foreach (College college in colleges)
            {
                colleges_ids.Add(college.Id);
                colleges_libs.Add(college.Libelle);
                colleges_rnes.Add(college.CodeRne);
                selection.Add(false);
            }
        }

    }
}